[CentOS] Finding a python module

Robert Moskowitz rgm at htt-consult.com
Fri Jul 11 13:08:07 UTC 2008


A colleague supplied me with a set of rpms he built on his Fedora box 
and when I tried to install them with yum localinstall I got a missing 
dependency:

Resolving Dependencies
--> Running transaction check
---> Package hipl-doc.i386 0:1.0.4-1 set to be updated
---> Package hipl-tools.i386 0:1.0.4-1 set to be updated
--> Processing Dependency: python(abi) = 2.5 for package: hipl-tools
---> Package hipl-firewall.i386 0:1.0.4-1 set to be updated
---> Package hipl-lib.i386 0:1.0.4-1 set to be updated
--> Processing Dependency: python(abi) = 2.5 for package: hipl-lib
---> Package hipl-agent.i386 0:1.0.4-1 set to be updated
---> Package hipl-debuginfo.i386 0:1.0.4-1 set to be updated
---> Package hipl-test.i386 0:1.0.4-1 set to be updated
---> Package hipl-daemon.i386 0:1.0.4-1 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: python(abi) = 2.5 is needed by package hipl-lib
Error: Missing Dependency: python(abi) = 2.5 is needed by package hipl-tools

Centos 5.2 provides python 2.5.1.  My colleague's system where he made 
these rpms also has 2.5.1.  How do I determine what rpm I need to 
install to get this dependency?





More information about the CentOS mailing list